ruby-rails-observers_0.1.2-1_all.deb


Advertisement

Description

ruby-rails-observers - toolkit to build Rails observers (part of Rails)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-rails-observers
Package version 0.1.2
Package release 1
Package architecture all
Package type deb
Installed size 80 B
Download size 11.76 KB
Official Mirror archive.ubuntu.com
This package contains two observers: Active Record Observer and
Action Controller Sweeper.
Active Record Observer classes respond to life cycle callbacks to
implement trigger-like behavior outside the original class. This is a
great way to reduce the clutter that normally comes when the model
class is burdened with functionality that doesn't pertain to the core
responsibility of the class.
Active Record Sweepers are the terminators of the caching world and
responsible for expiring caches when model objects change. They do
this by being half-observers, half-filters and implementing callbacks
for both roles.

Alternatives

Package Version Architecture Repository
ruby-rails-observers_0.1.2-1_all.deb 0.1.2 all Ubuntu Universe
ruby-rails-observers - - -

Requires

Name Value
ruby -
ruby-activemodel >= 4.0
ruby-interpreter -

Download

Type URL
Binary Package ruby-rails-observers_0.1.2-1_all.deb
Source Package ruby-rails-observers

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-rails-observers deb package:
    # sudo apt-get install ruby-rails-observers

Files

Path
/usr/lib/ruby/vendor_ruby/rails-observers.rb
/usr/lib/ruby/vendor_ruby/generators/active_record/observer/observer_generator.rb
/usr/lib/ruby/vendor_ruby/generators/active_record/observer/templates/observer.rb
/usr/lib/ruby/vendor_ruby/generators/rails/observer/USAGE
/usr/lib/ruby/vendor_ruby/generators/rails/observer/observer_generator.rb
/usr/lib/ruby/vendor_ruby/generators/test_unit/observer/observer_generator.rb
/usr/lib/ruby/vendor_ruby/generators/test_unit/observer/templates/unit_test.rb
/usr/lib/ruby/vendor_ruby/rails/observers/active_model.rb
/usr/lib/ruby/vendor_ruby/rails/observers/railtie.rb
/usr/lib/ruby/vendor_ruby/rails/observers/version.rb
/usr/lib/ruby/vendor_ruby/rails/observers/action_controller/caching.rb
/usr/lib/ruby/vendor_ruby/rails/observers/action_controller/caching/sweeping.rb
/usr/lib/ruby/vendor_ruby/rails/observers/active_model/active_model.rb
/usr/lib/ruby/vendor_ruby/rails/observers/active_model/observer_array.rb
/usr/lib/ruby/vendor_ruby/rails/observers/active_model/observing.rb
/usr/lib/ruby/vendor_ruby/rails/observers/activerecord/active_record.rb
/usr/lib/ruby/vendor_ruby/rails/observers/activerecord/base.rb
/usr/lib/ruby/vendor_ruby/rails/observers/activerecord/observer.rb
/usr/share/doc/ruby-rails-observers/README.md
/usr/share/doc/ruby-rails-observers/changelog.Debian.gz
/usr/share/doc/ruby-rails-observers/copyright
/usr/share/rubygems-integration/all/specifications/rails-observers-0.1.2.gemspec

Changelog

2015-10-01 - Antonio Terceiro <terceiro@debian.org>
ruby-rails-observers (0.1.2-1) unstable; urgency=medium
* New upstream release
* Update packaging with a new dh-make-ruby run
2013-05-28 - Ondřej Surý <ondrej@debian.org>
ruby-rails-observers (0.1.1-1) unstable; urgency=low
* Initial release (external dependency of Rails 4.0).

See Also

Package Description
ruby-rails-timeago_2.11.1-2_all.deb Rails Helper to create time tags usable for jQuery Timeago plugin
ruby-rails-tokeninput_1.7.0-1_all.deb jquery tokeninput automated install
ruby-rails_4.2.6-1_all.deb MVC ruby based framework geared for web application development
ruby-railties_4.2.6-1_all.deb tools for creating, working with, and running Rails applications
ruby-rainbow_2.0.0-1_all.deb extension of Ruby String class enabling colored text on ANSI terminals
ruby-raindrops_0.16.0-1build1_i386.deb Real-time stats for preforking Rack servers
ruby-raphael-rails_2.1.2~dfsg-1_all.deb Raphael JS as for rails applications
ruby-rb-inotify_0.9.7-1_all.deb A Ruby wrapper for Linux's inotify, using FFI
ruby-rbpdf-font_1.19.0-1_all.deb Ruby library for PDF generation (font definitions)
ruby-rbpdf_1.19.0-1_all.deb Ruby library for PDF generation
ruby-rbvmomi_1.8.2-1_all.deb Ruby interface to the VMware vSphere API
ruby-rc4_0.1.5-3_all.deb Ruby library implementing the RC4 algorithm
ruby-rchardet_1.3-3build1_all.deb Character encoding auto-detection for Ruby
ruby-rd_0.6.38-3_all.deb RDTool library for Ruby - library
ruby-rdiscount_2.1.8-1build3_i386.deb Discount Markdown Processor for Ruby
Advertisement
Advertisement